Package org.eclipse.mat.internal.snapshot.inspections

# Class CompareTablesQuery.ComparedColumn

java.lang.Object
org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedColumn

Enclosing class:
  `CompareTablesQuery`

public static class CompareTablesQuery.ComparedColumn extends Object

## Constructor Summary

Constructors
Constructor
Description
`ComparedColumn(Column description, int[] columnIndexes, boolean displayed)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getColumnIndexes()`
`Column`
`getDescription()`
`boolean`
`isDisplayed()`
`void`
`setColumnIndexes(int[] columnIndexes)`
`void`
`setDescription(Column description)`
`void`
`setDisplayed(boolean displayed)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComparedColumn

public ComparedColumn(Column description, int[] columnIndexes, boolean displayed)

## Method Details

### getDescription

public Column getDescription()

### setDescription

public void setDescription(Column description)

### getColumnIndexes

public int[] getColumnIndexes()

### setColumnIndexes

public void setColumnIndexes(int[] columnIndexes)

### isDisplayed

public boolean isDisplayed()

### setDisplayed

public void setDisplayed(boolean displayed)